Skip to main content
GET
/
entities
/
check-domain
Check Domain Availability
curl --request GET \
  --url https://api.geogen.io/v1/entities/check-domain \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "available": true,
  "reason": "not_tracked",
  "message": "This domain is available for tracking."
}

Authorizations

Authorization
string
header
required

API key authentication. Format: Bearer wsk_your_api_key

Query Parameters

domain
string
required

Domain to check (e.g., example.com or https://example.com)

Response

Domain availability check result

success
boolean
available
boolean

Whether the domain is available for tracking

reason
enum<string>

Reason for the availability status

Available options:
not_tracked,
already_in_workspace,
tracked_by_another_user
message
string

Human-readable explanation